﻿@model IEnumerable<ApplidevKPI.Models.Task>

@*List Tasks of project*@
    <div class="modal fade" id="table_task_content" role="dialog" aria-hidden="true" data-backdrop="true">
        <div class="modal-task modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="modal-close close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Projet : @ViewBag.ProjetName</h4>
                </div>
                <div class="modal-body">

                    <div id="tab_content" class="tab-content">
                        <table class="table setting-table table-responsive">
                            <thead class="setting-thread">
                                <tr>
                                    <th scope="col">
                                        <a onclick='addCreateLine(this, "Task")'><span class="setting-plus glyphicon glyphicon-plus"></span></a>
                                        <input id="FK_ID_Project" name="FK_ID_Project" type="hidden" value="@ViewBag.ProjetId">
                                    </th>
                                    <th scope="col">Libellé</th>
                                    <th scope="col">Affectation par défaut</th>
                                    <th scope="col">Édition</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td></td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Wording)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Assignment.Wording)
                                        </td>
                                        <td style="user-select: none;">
                                            <a id="@item.PK_ID" class="setting-edit glyphicon glyphicon-pencil" onclick='addEditLine(this, "Task");'></a>
                                            <a id="@item.PK_ID" class="setting-delete glyphicon glyphicon-trash" onclick='deleteConfirmation(this, "DeleteTask","@item.Wording");'></a>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>